package com.xkrs.model.qo;

import com.xkrs.model.validation.DataDictQoInsert;
import javax.validation.constraints.NotBlank;

/**
 * @Author: XinYi Song
 * @Date: 2022/1/19 10:14
 */
public class DataDictQo {

    /**
     * 中文名称
     */
    @NotBlank(message = "{DataDict.dictChineseName.blank}",groups={DataDictQoInsert.class})
    private String dictChineseName;

    /**
     * 英文变量值
     */
    @NotBlank(message = "{DataDict.dictEnglishName.blank}",groups={DataDictQoInsert.class})
    private String dictEnglishName;

    public String getDictChineseName() {
        return dictChineseName;
    }

    public void setDictChineseName(String dictChineseName) {
        this.dictChineseName = dictChineseName;
    }

    public String getDictEnglishName() {
        return dictEnglishName;
    }

    public void setDictEnglishName(String dictEnglishName) {
        this.dictEnglishName = dictEnglishName;
    }
}
