package com.xkrs.model.qo;

import com.xkrs.model.validation.DataDictUpdateQoUpdate;

import javax.validation.constraints.NotBlank;

/**
 * @Author: XinYi Song
 * @Date: 2022/1/20 11:23
 */
public class DataDictUpdateQo {

    @NotBlank(message = "{DataDict.id.blank}",groups={DataDictUpdateQoUpdate.class})
    private Integer id;

    /**
     * 中文名称
     */
    @NotBlank(message = "{DataDict.dictChineseName.blank}",groups={DataDictUpdateQoUpdate.class})
    private String dictChineseName;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDictChineseName() {
        return dictChineseName;
    }

    public void setDictChineseName(String dictChineseName) {
        this.dictChineseName = dictChineseName;
    }
}
